Get a transaction
curl --request GET \
--url https://api.circle.com/v1/cpn/payments/{paymentId}/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.circle.com/v1/cpn/payments/{paymentId}/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.circle.com/v1/cpn/payments/{paymentId}/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "transaction",
"id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"paymentId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"status": "PENDING",
"expireDate": "2023-01-01T12:04:05Z",
"senderAddress": "0xe01be9cdd9e744ae6a709794bfe531ec3ec0671c",
"senderAccountType": "EOA",
"blockchain": "ETH-SEPOLIA",
"amount": {
"amount": "110.270000",
"currency": "USDC"
},
"destinationAddress": "0xe01be9cdd9e744ae6a709794bfe531ec3ec0671c",
"messageType": "EIP3009",
"messageToBeSigned": {},
"failureReason": "FAILED_ONCHAIN",
"estimatedFee": {
"type": "EIP1559",
"payload": {
"gasLimit": "21000",
"maxFeePerGas": "5935224468",
"maxPriorityFeePerGas": "1022783914"
}
},
"signedTransaction": "AgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABpzlAhqqen7eyTe0KQ3w+9NS4E+7sscb+Cr...",
"transactionHash": "2vmEDSBThR143WJyJePkpKVQcERVo9KePuCUwYU8fkoJaQjarTMj6sZG7DNnJ4zjhtRz6hDruqEFEkD4wJpGviiW"
}
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 3,
"message": "Forbidden"
}{
"code": 404,
"message": "Not found."
}Get a transaction
Retrieves a specific transaction by its ID for a given payment
GET
/
v1
/
cpn
/
payments
/
{paymentId}
/
transactions
/
{transactionId}
Get a transaction
Authorizations
Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.
Path Parameters
The payment id created previously. System-generated unique identifier of the resource.
Example:
"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"
The transaction id created previously. System-generated unique identifier of the resource.
Example:
"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"
Response
Transaction retrieved successfully.
Response schema for a blockchain transaction containing details about the transaction amount, addresses, fees, and status
Show child attributes
Show child attributes
Was this page helpful?
⌘I